Incident: PocketSmith Security Update Regarding "Heartbleed" Vulnerability

APR 11, 2014
We take security very seriously at PocketSmith. On the 8th of April 2014 at 05:30am NZST (7th of April 2014, ~17:30 UTC), a major vulnerability dubbed "Heartbleed" was disclosed by researchers from Google and the Finnish security consulting group Codenomicon. Read more...